summaryrefslogtreecommitdiffstats
path: root/Utilities/Scripts/update-jsoncpp.bash
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2017-08-30 14:37:38 (GMT)
committerKitware Robot <kwrobot@kitware.com>2017-08-30 14:37:45 (GMT)
commit92923f4cf40a5dd305ec8e6dd2b1901d609d34e0 (patch)
tree7f60ef7efe11359fbfe15d1c4025e3e1a03ba8b9 /Utilities/Scripts/update-jsoncpp.bash
parentfff28e30cd01a88b2e5f67db2aaf4c068f1bfc89 (diff)
parent73ed503ed5ca76c5b05629a00ddc29d3549a48e8 (diff)
downloadCMake-92923f4cf40a5dd305ec8e6dd2b1901d609d34e0.zip
CMake-92923f4cf40a5dd305ec8e6dd2b1901d609d34e0.tar.gz
CMake-92923f4cf40a5dd305ec8e6dd2b1901d609d34e0.tar.bz2
Merge topic 'update-jsoncpp'
73ed503e jsoncpp: Drop doxygen comments not recognized by Clang 1a2b62b1 jsoncpp: Add initialization to pacify scanbuild c103a959 jsoncpp: Fix compilation on SunPro 0a0f7106 jsoncpp: Drop deprecation markup e0981955 Merge branch 'upstream-jsoncpp' into update-jsoncpp a7241206 jsoncpp: Update script to get jsoncpp 1.8.2 cb844d41 jsoncpp: Drop unnecessary files from source list 7c06d356 Merge branch 'upstream-jsoncpp' into update-jsoncpp ... Acked-by: Kitware Robot <kwrobot@kitware.com> Merge-request: !1199
Diffstat (limited to 'Utilities/Scripts/update-jsoncpp.bash')
-rwxr-xr-xUtilities/Scripts/update-jsoncpp.bash33
1 files changed, 33 insertions, 0 deletions
diff --git a/Utilities/Scripts/update-jsoncpp.bash b/Utilities/Scripts/update-jsoncpp.bash
new file mode 100755
index 0000000..f8fe544
--- /dev/null
+++ b/Utilities/Scripts/update-jsoncpp.bash
@@ -0,0 +1,33 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+shopt -s dotglob
+
+readonly name="jsoncpp"
+readonly ownership="JsonCpp Upstream <kwrobot@kitware.com>"
+readonly subtree="Utilities/cmjsoncpp"
+readonly repo="https://github.com/open-source-parsers/jsoncpp.git"
+readonly tag="1.8.2"
+readonly shortlog=false
+readonly paths="
+ LICENSE
+ include/json
+ src/lib_json
+"
+readonly remove="
+ include/json/autolink.h
+ src/lib_json/CMakeLists.txt
+ src/lib_json/sconscript
+ src/lib_json/version.h.in
+"
+
+extract_source () {
+ git_archive
+ pushd "${extractdir}/${name}-reduced"
+ rm $remove
+ echo "* -whitespace" > .gitattributes
+ popd
+}
+
+. "${BASH_SOURCE%/*}/update-third-party.bash"